with Ada.Unchecked_Conversion;

package body Anagram_Types is

   function To_Hash is
     new Ada.Unchecked_Conversion (Integer, Ada.Containers.Hash_Type);

   function Hash (I : Integer) return Ada.Containers.Hash_Type is
   begin
      return To_Hash (I);
   end;

end Anagram_Types;


